<?php
namespace Opencart\System\Library\Extension\Chatbro\Chatbroapp\Backends;

use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Interfaces\IcbroSettingsBackend;
use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Settings\CbroNonExistentOption;
use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Common\CbroCommon;

class CbroSettingsBackend implements IcbroSettingsBackend
{

  public $non_existent_option;

  public function __construct()
  {
    $this->non_existent_option = new CbroNonExistentOption();
  }

  function postpone_write()
  {
  }

  function flush()
  {
  }

  function add_extra_settings($settings)
  {
  }

  public function reg_store()
  {
    CbroCommon::reg_store();
  }

  function get($name)
  {
    return CbroCommon::get_option($name);
  }

  function set($name, $value)
  {
    return CbroCommon::update_option($name, $value);
  }

  function del($name)
  {
    CbroCommon::delete_option($name);
  }

  function get_cbro_utils_class() {
    return 'Opencart\System\Library\Extension\Chatbro\Chatbroapp\Utils\CbroUtils';
  }
}

?>